Bug 1276450 - Default DefaultPath is not a good one for Fedora
Default DefaultPath is not a good one for Fedora
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: sddm (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-29 14:15 EDT by Robin Lee
Modified: 2015-11-08 01:51 EST (History)
7 users (show)

See Also:
Fixed In Version: sddm-0.12.0-6.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-08 01:51:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robin Lee 2015-10-29 14:15:29 EDT
Description of problem:
The current default DefaultPath in /etc/sddm.conf is:
[Users]
# Default $PATH
#DefaultPath=/bin:/usr/bin:/usr/local/bin

And it would turn out to a full PATH if I login through sddm:
$ echo $PATH
/usr/lib64/ccache:/bin:/usr/bin:/usr/local/bin:/usr/local/sbin:/usr/sbin:/home/testuser/.local/bin:/home/testuser/bin

But PATH through kdm:
$ echo $PATH
/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/games:/usr/local/sbin:/usr/sbin:/home/testuser/.local/bin:/home/testuser/bin

After all, sddm makes '/bin' preceding '/usr/bin'. That makes trouble for building rpm that rewrites shebang at build time. For scripts using Perl, 'stow' for example, the resulting rpm will require '/bin/perl' instead of '/usr/bin/perl'. That means the rpm is not installable on Fedora.

Version-Release number of selected component (if applicable):
sddm-0.12.0-3.fc23.x86_64

How reproducible:
Always

Steps to Reproduce:
1. create a new user
2. login through sddm
3. download the lastest stow src.rpm and rebuild locally.
4. try to install the resulting rpm

Actual results:
The rpm requires '/bin/perl' that cannot be fulfilled.

Expected results:
The resulting rpm is installable.

Additional info:
Comment 1 Rex Dieter 2015-10-29 14:37:39 EDT
I'll take a look

Which is better you think?

* get rid of /bin altogether?
* reverse the order (so /bin/ is last)?
* some other better idea
Comment 2 Rex Dieter 2015-10-29 14:45:51 EDT
Let's go with option 2 methinks,

http://pkgs.fedoraproject.org/cgit/sddm.git/commit/?id=b41a7bee4e231730573fe13dbcdcb168965589dd
Comment 3 Robin Lee 2015-10-29 21:10:25 EDT
There is no '/sbin' inserted by /etc/profile. So I think '/bin' is not necessary too. I prefer just '/usr/local/bin:/usr/bin'
Comment 4 Rex Dieter 2015-10-29 21:17:36 EDT
<nod>, I'm just going by what bash defaults are.
Comment 5 Fedora Update System 2015-11-01 09:32:15 EST
sddm-0.12.0-6.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-63e4353cfa
Comment 6 Fedora Update System 2015-11-01 19:49:00 EST
sddm-0.12.0-6.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update sddm'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-63e4353cfa
Comment 7 Fedora Update System 2015-11-08 01:51:48 EST
sddm-0.12.0-6.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.